Index: options/AGECLASSES
===================================================================
--- options/AGECLASSES	(revision f9ce123b9b047af2fdd26aa67406bfdc873bbafd)
+++ options/AGECLASSES	(revision 547b18804b51c7c2eb4c41ff6bd6d48929028b86)
@@ -12,4 +12,6 @@
 *                                              *
 ************************************************
-1          Integer        Number of age classes 
-1728000
+&AGECLASS
+ NAGECLASS=          1,
+ LAGE=    1728000,
+ /
Index: options/COMMAND
===================================================================
--- options/COMMAND	(revision 9f59af6cf93ec051bd908d238d54eb73289e8f23)
+++ options/COMMAND	(revision 547b18804b51c7c2eb4c41ff6bd6d48929028b86)
@@ -1,31 +1,31 @@
 &COMMAND
- LDIRECT=          1,
- IBDATE=   20170102,
- IBTIME=     060000,
- IEDATE=   20170102,
- IETIME=     120000,
- LOUTSTEP=       3600,
- LOUTAVER=       3600,
- LOUTSAMPLE=        900,
- ITSPLIT=  99999999,
- LSYNCTIME=        900,
- CTL= -5.0000000    ,
- IFINE=          4,
- IOUT=    1,
- IPOUT=          0,
- LSUBGRID=          0,
- LCONVECTION=          0,
- LAGESPECTRA=          0,
- IPIN=          0,
- IOUTPUTFOREACHRELEASE=          0,
- IFLUX=          0,
- MDOMAINFILL=          0,
- IND_SOURCE=          1,
+ LDIRECT=            	1,
+ IBDATE=   20120101,
+ IBTIME=           060000,
+ IEDATE=   20120101,
+ IETIME=           120000,
+ LOUTSTEP=           3600,
+ LOUTAVER=           3600,
+ LOUTSAMPLE=          900,
+ ITSPLIT=        99999999,
+ LSYNCTIME=           900,
+ CTL=          -5.0000000,
+ IFINE=          	4,
+ IOUT=1,
+ IPOUT=          	0,
+ LSUBGRID=          	0,
+ LCONVECTION=          	0,
+ LAGESPECTRA=          	0,
+ IPIN=          	0,
+ IOUTPUTFOREACHRELEASE= 0,
+ IFLUX=          	0,
+ MDOMAINFILL=          	0,
+ IND_SOURCE=          	1,
  IND_RECEPTOR=          1,
- MQUASILAG=          0,
- NESTED_OUTPUT=          0,
- LINIT_COND=          0,
- SURF_ONLY=          0,
- CBLFLAG=          0,
- OHFIELDS_PATH=          "../../flexin/",
+ MQUASILAG=          	0,
+ NESTED_OUTPUT=         0,
+ LINIT_COND=          	0,
+ SURF_ONLY=          	0,
+ CBLFLAG=          	0,
+ OHFIELDS_PATH= "../../flexin/",
  /
Index: options/COMMAND.alternative
===================================================================
--- options/COMMAND.alternative	(revision f9ce123b9b047af2fdd26aa67406bfdc873bbafd)
+++ 	(revision )
@@ -1,123 +1,0 @@
-********************************************************************************
-*                                                                              *
-*      Input file for the Lagrangian particle dispersion model FLEXPART        *
-*                           Please select your options                         *
-*                                                                              *
-********************************************************************************
-
- 1              LDIRECT           1 FOR FORWARD SIMULATION, -1 FOR BACKWARD SIMULATION
-20040720 000000 YYYYMMDD HHMISS   BEGINNING DATE OF SIMULATION
-20040721 120000 YYYYMMDD HHMISS   ENDING DATE OF SIMULATION
-10800           SSSSS             OUTPUT EVERY SSSSS SECONDS
-10800           SSSSS             TIME AVERAGE OF OUTPUT (IN SSSSS SECONDS)
-900             SSSSS             SAMPLING RATE OF OUTPUT (IN SSSSS SECONDS)
-9999999         SSSSSSS           TIME CONSTANT FOR PARTICLE SPLITTING (IN SECONDS)
-900             SSSSS             SYNCHRONISATION INTERVAL OF FLEXPART (IN SECONDS)
--5.0            CTL               FACTOR, BY WHICH TIME STEP MUST BE SMALLER THAN TL
-4               IFINE             DECREASE OF TIME STEP FOR VERTICAL MOTION BY FACTOR IFINE
-3               IOUT              1 CONC. (RESID. TIME FOR BACKWARD RUNS) OUTPUT,2 MIX. RATIO OUTPUT,3 BOTH,4 PLUME TRAJECT.,5=1+4
-0               IPOUT             PARTICLE DUMP: 0 NO, 1 EVERY OUTPUT INTERVAL, 2 ONLY AT END
-1               LSUBGRID          SUBGRID TERRAIN EFFECT PARAMETERIZATION: 1 YES, 0 NO
-1               LCONVECTION       CONVECTION: 1 YES, 0 NO
-0               LAGESPECTRA       AGE SPECTRA: 1 YES, 0 NO
-0               IPIN              CONTINUE SIMULATION WITH DUMPED PARTICLE DATA: 1 YES, 0 NO
-0               IOUTPUTFOREACHREL CREATE AN OUPUT FILE FOR EACH RELEASE LOCATION: 1 YES, 0 NO
-0               IFLUX             CALCULATE FLUXES: 1 YES, 0 NO
-0               MDOMAINFILL       DOMAIN-FILLING TRAJECTORY OPTION: 1 YES, 0 NO
-1               IND_SOURCE        1=MASS UNIT , 2=MASS MIXING RATIO UNIT
-1               IND_RECEPTOR      1=MASS UNIT , 2=MASS MIXING RATIO UNIT
-0               MQUASILAG         QUASILAGRANGIAN MODE TO TRACK INDIVIDUAL PARTICLES: 1 YES, 0 NO
-0               NESTED_OUTPUT     SHALL NESTED OUTPUT BE USED? YES, 0 NO
-2               LINIT_COND        INITIAL COND. FOR BW RUNS: 0=NO,1=MASS UNIT,2=MASS MIXING RATIO UNIT
-0               SURF_ONLY         IF THIS IS SET TO 1, OUTPUT IS WRITTEN ONLY OUT FOR LOWEST LAYER
-
-
-1. Simulation direction, 1 for forward, -1 for backward in time
-
-2. Beginning date and time of simulation. Must be given in format
-   YYYYMMDD HHMISS, where YYYY is YEAR, MM is MONTH, DD is DAY, HH is HOUR,
-   MI is MINUTE and SS is SECOND. Current version utilizes UTC.
-
-3. Ending date and time of simulation. Same format as 3.
-
-4. Average concentrations are calculated every SSSSS seconds.
-
-5. The average concentrations are time averages of SSSSS seconds
-   duration. If SSSSS is 0, instantaneous concentrations are outputted.
-
-6. The concentrations are sampled every SSSSS seconds to calculate the time
-   average concentration. This period must be shorter than the averaging time.
-
-7. Time constant for particle splitting. Particles are split into two
-   after SSSSS seconds, 2xSSSSS seconds, 4xSSSSS seconds, and so on.
-
-8. All processes are synchronized with this time interval (lsynctime).
-   Therefore, all other time constants must be multiples of this value.
-   Output interval and time average of output must be at least twice lsynctime.
-
-9. CTL must be >1 for time steps shorter than the  Lagrangian time scale
-   If CTL<0, a purely random walk simulation is done
-
-10.IFINE=Reduction factor for time step used for vertical wind
-
-11.IOUT determines how the output shall be made: concentration
-   (ng/m3, Bq/m3), mixing ratio (pptv), or both, or plume trajectory mode,
-   or concentration + plume trajectory mode.
-   In plume trajectory mode, output is in the form of average trajectories.
-
-12.IPOUT determines whether particle positions are outputted (in addition
-   to the gridded concentrations or mixing ratios) or not.
-   0=no output, 1 output every output interval, 2 only at end of the
-   simulation
-
-13.Switch on/off subgridscale terrain parameterization (increase of
-   mixing heights due to subgridscale orographic variations)
-
-14.Switch on/off the convection parameterization
-
-15.Switch on/off the calculation of age spectra: if yes, the file AGECLASSES
-   must be available
-
-16. If IPIN=1, a file "partposit_end" from a previous run must be available in
-    the output directory. Particle positions are read in and previous simulation
-    is continued. If IPIN=0, no particles from a previous run are used
-
-17. IF IOUTPUTFOREACHRELEASE is set to 1, one output field for each location
-    in the RLEASE file is created. For backward calculation this should be
-    set to 1. For forward calculation both possibilities are applicable.
-
-18. If IFLUX is set to 1, fluxes of each species through each of the output
-    boxes are calculated. Six fluxes, corresponding to northward, southward,
-    eastward, westward, upward and downward are calculated for each grid cell of
-    the output grid. The control surfaces are placed in the middle of each
-    output grid cell. If IFLUX is set to 0, no fluxes are determined.
-
-19. If MDOMAINFILL is set to 1, the first box specified in file RELEASES is used
-    as the domain where domain-filling trajectory calculations are to be done.
-    Particles are initialized uniformly distributed (according to the air mass
-    distribution) in that domain at the beginning of the simulation, and are
-    created at the boundaries throughout the simulation period.
-
-20. IND_SOURCE switches between different units for concentrations at the source
-    NOTE that in backward simulations the release of computational particles
-    takes place at the "receptor" and the sampling of particles at the "source".
-          1=mass units (for bwd-runs = concentration)
-          2=mass mixing ratio units
-21. IND_RECEPTOR switches between different units for concentrations at the receptor
-          1=mass units (concentrations)
-          2=mass mixing ratio units
-
-22. MQUASILAG indicates whether particles shall be numbered consecutively (1) or
-    with their release location number (0). The first option allows tracking of
-    individual particles using the partposit output files
-
-23. NESTED_OUTPUT decides whether model output shall be made also for a nested
-    output field (normally with higher resolution)
-
-24. LINIT_COND determines whether, for backward runs only, the sensitivity to initial
-    conditions shall be calculated and written to output files
-    0=no output, 1 or 2 determines in which units the initial conditions are provided.
-
-25. SURF_ONLY: When set to 1, concentration/emission sensitivity is written out only
-    for the surface layer; useful for instance when only footprint emission sensitivity is needed
-    but initial conditions are needed on a full 3-D grid
Index: options/COMMAND.reference
===================================================================
--- options/COMMAND.reference	(revision 6b22af900a57ac3fc1a984db76f4ef2cb0436af0)
+++ 	(revision )
@@ -1,199 +1,0 @@
-********************************************************************************
-*                                                                              *
-*      Input file for the Lagrangian particle dispersion model FLEXPART        *
-*                           Please select your options                         *
-*                                                                              *
-********************************************************************************
-
-1. __                3X, I2
-    1       
-   LDIRECT           1 FOR FORWARD SIMULATION, -1 FOR BACKWARD SIMULATION
-
-2. ________ ______   3X, I8, 1X, I6
-   20110310 000000
-   YYYYMMDD HHMISS   BEGINNING DATE OF SIMULATION
-
-3. ________ ______   3X, I8, 1X, I6
-   20110310 120000
-   YYYYMMDD HHMISS   ENDING DATE OF SIMULATION
-
-4. _____             3X, I5
-   10800 
-   SSSSS             OUTPUT EVERY SSSSS SECONDS
-
-5. _____             3X, I5
-   10800 
-   SSSSS             TIME AVERAGE OF OUTPUT (IN SSSSS SECONDS)
-
-6. _____             3X, I5
-     900 
-   SSSSS             SAMPLING RATE OF OUTPUT (IN SSSSS SECONDS)
-
-7. _________         3X, I9
-   999999999
-   SSSSSSSSS         TIME CONSTANT FOR PARTICLE SPLITTING (IN SECONDS)
-
-8. _____             3X, I5
-     900 
-   SSSSS             SYNCHRONISATION INTERVAL OF FLEXPART (IN SECONDS)
-
-9.  ---.--           4X, F6.4
-     -5.0
-    CTL              FACTOR, BY WHICH TIME STEP MUST BE SMALLER THAN TL
-
-10. ---              4X, I3
-      4
-    IFINE            DECREASE OF TIME STEP FOR VERTICAL MOTION BY FACTOR IFINE
-
-11. -                4X, I1
-    3  
-    IOUT             1 CONCENTRATION (RESIDENCE TIME FOR BACKWARD RUNS) OUTPUT, 2 MIXING RATIO OUTPUT, 3 BOTH,4 PLUME TRAJECT., 5=1+4
-
-12. -                4X, I1
-    0  
-    IPOUT            PARTICLE DUMP: 0 NO, 1 EVERY OUTPUT INTERVAL, 2 ONLY AT END
-
-13. _                4X, I1
-    1
-    LSUBGRID         SUBGRID TERRAIN EFFECT PARAMETERIZATION: 1 YES, 0 NO
-
-14. _                4X, I1
-    1
-    LCONVECTION      CONVECTION: 1 YES, 0 NO
-
-15. _                4X, I1
-    0
-    LAGESPECTRA      AGE SPECTRA: 1 YES, 0 NO
-
-16. _                4X, I1
-    0
-    IPIN             CONTINUE SIMULATION WITH DUMPED PARTICLE DATA: 1 YES, 0 NO
-
-17. _                
-    0                4X,I1 
-    IOFR             IOUTPUTFOREACHREL CREATE AN OUPUT FILE FOR EACH RELEASE LOCATION: 1 YES, 0 NO
-
-18. _                4X, I1
-    0
-    IFLUX            CALCULATE FLUXES: 1 YES, 0 NO
-
-19. _                4X, I1
-    0
-    MDOMAINFILL      DOMAIN-FILLING TRAJECTORY OPTION: 1 YES, 0 NO, 2 STRAT. O3 TRACER
-
-20. _                4X, I1
-    1
-    IND_SOURCE       1=MASS UNIT , 2=MASS MIXING RATIO UNIT 
-
-21. _                4X, I1
-    1
-    IND_RECEPTOR     1=MASS UNIT , 2=MASS MIXING RATIO UNIT 
-
-22. _                4X, I1
-    0
-    MQUASILAG        QUASILAGRANGIAN MODE TO TRACK INDIVIDUAL PARTICLES: 1 YES, 0 NO
-
-23. _                4X, I1
-    0
-    NESTED_OUTPUT    SHALL NESTED OUTPUT BE USED? 1 YES, 0 NO
-
-24. _                4X, I1
-    2
-    LINIT_COND       INITIAL COND. FOR BW RUNS: 0=NO,1=MASS UNIT,2=MASS MIXING RATIO UNIT
-
-25. _                4X, I1
-    0
-    SURF_ONLY        IF THIS IS SET TO 1, OUTPUT IS WRITTEN ONLY OUT FOR LOWEST LAYER
-
-
-1. Simulation direction, 1 for forward, -1 for backward in time 
-	(consult Seibert and Frank, 2004 for backward runs)
-
-2. Beginning date and time of simulation. Must be given in format
-   YYYYMMDD HHMISS, where YYYY is YEAR, MM is MONTH, DD is DAY, HH is HOUR,
-   MI is MINUTE and SS is SECOND. Current version utilizes UTC.
-
-3. Ending date and time of simulation. Same format as 3.
-
-4. Average concentrations are calculated every SSSSS seconds.
-
-5. The average concentrations are time averages of SSSSS seconds
-   duration. If SSSSS is 0, instantaneous concentrations are outputted.
-
-6. The concentrations are sampled every SSSSS seconds to calculate the time
-   average concentration. This period must be shorter than the averaging time.
-
-7. Time constant for particle splitting. Particles are split into two
-   after SSSSS seconds, 2xSSSSS seconds, 4xSSSSS seconds, and so on.
-
-8. All processes are synchronized with this time interval (lsynctime).
-   Therefore, all other time constants must be multiples of this value.
-   Output interval and time average of output must be at least twice lsynctime.
-
-9. CTL must be >1 for time steps shorter than the  Lagrangian time scale
-   If CTL<0, a purely random walk simulation is done
-
-10.IFINE=Reduction factor for time step used for vertical wind
-
-11.IOUT determines how the output shall be made: concentration
-   (ng/m3, Bq/m3), mixing ratio (pptv), or both, or plume trajectory mode,
-   or concentration + plume trajectory mode.
-   In plume trajectory mode, output is in the form of average trajectories.
-
-12.IPOUT determines whether particle positions are outputted (in addition
-   to the gridded concentrations or mixing ratios) or not.
-   0=no output, 1 output every output interval, 2 only at end of the
-   simulation
-
-13.Switch on/off subgridscale terrain parameterization (increase of
-   mixing heights due to subgridscale orographic variations)
-
-14.Switch on/off the convection parameterization
-
-15.Switch on/off the calculation of age spectra: if yes, the file AGECLASSES
-   must be available
-
-16. If IPIN=1, a file "partposit_end" from a previous run must be available in
-    the output directory. Particle positions are read in and previous simulation
-    is continued. If IPIN=0, no particles from a previous run are used
-
-17. IF IOUTPUTFOREACHRELEASE is set to 1, one output field for each location
-    in the RLEASE file is created. For backward calculation this should be
-    set to 1. For forward calculation both possibilities are applicable.
-
-18. If IFLUX is set to 1, fluxes of each species through each of the output
-    boxes are calculated. Six fluxes, corresponding to northward, southward,
-    eastward, westward, upward and downward are calculated for each grid cell of
-    the output grid. The control surfaces are placed in the middle of each
-    output grid cell. If IFLUX is set to 0, no fluxes are determined.
-
-19. If MDOMAINFILL is set to 1, the first box specified in file RELEASES is used
-    as the domain where domain-filling trajectory calculations are to be done.
-    Particles are initialized uniformly distributed (according to the air mass
-    distribution) in that domain at the beginning of the simulation, and are
-    created at the boundaries throughout the simulation period.
-
-20. IND_SOURCE switches between different units for concentrations at the source
-    NOTE that in backward simulations the release of computational particles 
-    takes place at the "receptor" and the sampling of particles at the "source".
-          1=mass units (for bwd-runs = concentration)
-          2=mass mixing ratio units 
-21. IND_RECEPTOR switches between different units for concentrations at the receptor
-          1=mass units (concentrations)
-          2=mass mixing ratio units 
-
-22. MQUASILAG indicates whether particles shall be numbered consecutively (1) or
-    with their release location number (0). The first option allows tracking of
-    individual particles using the partposit output files
-
-23. NESTED_OUTPUT decides whether model output shall be made also for a nested
-    output field (normally with higher resolution)
-
-24. LINIT_COND determines whether, for backward runs only, the sensitivity to initial
-    conditions shall be calculated and written to output files
-    0=no output, 1 or 2 determines in which units the initial conditions are provided.
-
-25. SURF_ONLY: When set to 1, concentration/emission sensitivity is written out only
-    for the surface layer; useful for instance when only footprint emission sensitivity is needed
-    but initial conditions are needed on a full 3-D grid
-
Index: options/OUTGRID
===================================================================
--- options/OUTGRID	(revision 44322ef0a909ec32af8aefc6284fbec833e8f9cf)
+++ options/OUTGRID	(revision 547b18804b51c7c2eb4c41ff6bd6d48929028b86)
@@ -1,50 +1,22 @@
-********************************************************************************
-*                                                                              *
-*      Input file for the Lagrangian particle dispersion model FLEXPART        *
-*                       Please specify your output grid                        *
-*                                                                              *
-********************************************************************************
-
-1.  ------.----       4X,F11.4
-      -179.0000       GEOGRAFICAL LONGITUDE OF LOWER LEFT CORNER OF OUTPUT GRID
-    OUTLONLEFT        (left boundary of the first grid cell - not its centre)
-
-2.  ------.----       4X,F11.4
-       -90.0000       GEOGRAFICAL LATITUDE OF LOWER LEFT CORNER OF OUTPUT GRID
-    OUTLATLOWER       (lower boundary of the first grid cell - not its centre)
-
-3.  -----             4X,I5
-     720               NUMBER OF GRID POINTS IN X DIRECTION (= No. of cells + 1)
-    NUMXGRID
-
-4.  -----             4X,I5
-     360             NUMBER OF GRID POINTS IN Y DIRECTION (= No. of cells + 1)
-    NUMYGRID
-
-5.  ------.---        4X,F10.3
-         0.50        GRID DISTANCE IN X DIRECTION
-    DXOUTLON
-
-6.  ------.---        4X,F10.3
-         0.50        GRID DISTANCE IN Y DIRECTION
-    DYOUTLAT
-
-10. -----.-           4X, F7.1
-      100.0
-    LEVEL 1           HEIGHT OF LEVEL (UPPER BOUNDARY)
-
-10. -----.-           4X, F7.1
-      500.0
-    LEVEL 2           HEIGHT OF LEVEL (UPPER BOUNDARY)
-
-10. -----.-           4X, F7.1
-     1000.0
-    LEVEL 3           HEIGHT OF LEVEL (UPPER BOUNDARY)
-
-10. -----.-           4X, F7.1
-    10000.0
-    LEVEL 4           HEIGHT OF LEVEL (UPPER BOUNDARY)
-
-10. -----.-           4X, F7.1
-    40000.0
-    LEVEL 5           HEIGHT OF LEVEL (UPPER BOUNDARY)
+!*******************************************************************************
+!                                                                              *
+!      Input file for the Lagrangian particle dispersion model FLEXPART        *
+!                       Please specify your output grid                        *
+!
+! OUTLON0 = GEOGRAPHYICAL LONGITUDE OF LOWER LEFT CORNER OF OUTPUT GRID
+! OUTLAT0 = GEOGRAPHYICAL LATITUDE OF LOWER LEFT CORNER OF OUTPUT GRID
+ NUMXGRID=    85   ,
+ NUMYGRID=    65   ,
+! DXOUT   = GRID DISTANCE IN X DIRECTION
+! DYOUN   = GRID DISTANCE IN Y DIRECTION
+! OUTHEIGHTS = HEIGHT OF LEVELS (UPPER BOUNDARY)
+!*******************************************************************************
+&OUTGRID
+ OUTLON0=   -25.00,
+ OUTLAT0=    10.00,
+ NUMXGRID=    85   ,
+ NUMYGRID=    65   ,
+ DXOUT=    1.00,
+ DYOUT=    1.00,
+ OUTHEIGHTS=  100.0   ,  500.0   ,  10000.0  , 50000.0  ,
+ /
Index: options/RECEPTORS
===================================================================
--- options/RECEPTORS	(revision f9ce123b9b047af2fdd26aa67406bfdc873bbafd)
+++ options/RECEPTORS	(revision 547b18804b51c7c2eb4c41ff6bd6d48929028b86)
@@ -1,79 +1,10 @@
-********************************************************************************
-*                                                                              *
-*      Input file for the Lagrangian particle dispersion model FLEXPART        *
-*                       Please specify your receptor points                    *
-*     For the receptor points, ground level concentrations are calculated      *
-*                                                                              *
-********************************************************************************
-1.  ----------------  4X,A16
-    F15               NAME OF RECEPTOR POINT
-    RECEPTORNAME
-
-2.  ------.----       4X,F11.4
-        21.1333       GEOGRAFICAL LONGITUDE
-    XRECEPTOR 
-
-3.  ------.----       4X,F11.4
-        38.0833       GEOGRAFICAL LATITUDE
-    YRECEPTOR  
-================================================================================
-1.  ----------------  4X,A16
-    NL01              NAME OF RECEPTOR POINT
-    RECEPTORNAME
-
-2.  ------.----       4X,F11.4
-         5.7833       GEOGRAFICAL LONGITUDE
-    XRECEPTOR 
-
-3.  ------.----       4X,F11.4
-        50.9167       GEOGRAFICAL LATITUDE
-    YRECEPTOR  
-================================================================================
-1.  ----------------  4X,A16
-    B05               NAME OF RECEPTOR POINT
-    RECEPTORNAME
-
-2.  ------.----       4X,F11.4
-         4.3500       GEOGRAFICAL LONGITUDE
-    XRECEPTOR 
-
-3.  ------.----       4X,F11.4
-        50.8000       GEOGRAFICAL LATITUDE
-    YRECEPTOR  
-================================================================================
-1.  ----------------  4X,A16
-    D27               NAME OF RECEPTOR POINT
-    RECEPTORNAME
-
-2.  ------.----       4X,F11.4
-        11.1333       GEOGRAFICAL LONGITUDE
-    XRECEPTOR 
-
-3.  ------.----       4X,F11.4
-        52.9667       GEOGRAFICAL LATITUDE
-    YRECEPTOR  
-================================================================================
-1.  ----------------  4X,A16
-    D08               NAME OF RECEPTOR POINT
-    RECEPTORNAME
-
-2.  ------.----       4X,F11.4
-         8.7000       GEOGRAFICAL LONGITUDE
-    XRECEPTOR 
-
-3.  ------.----       4X,F11.4
-        53.8667       GEOGRAFICAL LATITUDE
-    YRECEPTOR  
-================================================================================
-1.  ----------------  4X,A16
-    DK05              NAME OF RECEPTOR POINT
-    RECEPTORNAME
-
-2.  ------.----       4X,F11.4
-         8.1333       GEOGRAFICAL LONGITUDE
-    XRECEPTOR 
-
-3.  ------.----       4X,F11.4
-        56.0000       GEOGRAFICAL LATITUDE
-    YRECEPTOR  
-================================================================================
+&RECEPTORS
+ RECEPTOR="receptor 1      ",
+ LON=   0.0000000    ,
+ LAT=   0.0000000    ,
+ /
+&RECEPTORS
+ RECEPTOR="receptor 2      ",
+ LON=  1.00000000    ,
+ LAT=  0.00000000    ,
+ /
Index: options/RELEASES
===================================================================
--- options/RELEASES	(revision 5b7ec801f3cb23f32a5ca6abfb0b78af673d7519)
+++ options/RELEASES	(revision 547b18804b51c7c2eb4c41ff6bd6d48929028b86)
@@ -4,12 +4,12 @@
  /
 &RELEASE
- IDATE1=   20170102,
+ IDATE1=   20120101,
  ITIME1=     090000,
- IDATE2=   20170102,
+ IDATE2=   20120101,
  ITIME2=     090000,
  LON1=    0.000    ,
  LON2=    0.000    ,
- LAT1=   0.000    ,
- LAT2=   0.000    ,
+ LAT1=   20.00,
+ LAT2=   20.00,
  Z1=    50.000       ,
  Z2=    50.000       ,
Index: options/RELEASES.alternative
===================================================================
--- options/RELEASES.alternative	(revision f9ce123b9b047af2fdd26aa67406bfdc873bbafd)
+++ 	(revision )
@@ -1,40 +1,0 @@
-*************************************************************************
-*                                                                       *
-*                                                                       *
-*                                                                       *
-*   Input file for the Lagrangian particle dispersion model FLEXPART    *
-*                        Please select your options                     *
-*                                                                       *
-*                                                                       *
-*                                                                       *
-*************************************************************************
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-1                          Total number of species emitted
-24                         Index of species in file SPECIES
-=========================================================================
-   20011028  150007
-   20011028  150046
-   9.40480
-   48.5060
-   9.50670
-   48.5158
-   2
-   6933.60
-   6950.40
-   20000
-   1.00000
-FLIGHT_11242
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-   20011028  150047
-   20011028  150107
-   9.30380
-   48.5158
-   9.40480
-   48.5906
-   2
-   6833.50
-   6950.40
-   20000
-   1.00000
-FLIGHT_11185
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Index: options/RELEASES.reference
===================================================================
--- options/RELEASES.reference	(revision f9ce123b9b047af2fdd26aa67406bfdc873bbafd)
+++ 	(revision )
@@ -1,90 +1,0 @@
-*************************************************************************
-*                                                                       *
-*                                                                       *
-*                                                                       *
-*   Input file for the Lagrangian particle dispersion model FLEXPART    *
-*                        Please select your options                     *
-*                                                                       *
-*                                                                       *
-*                                                                       *
-*************************************************************************
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-  1      
-___                        i3    Total number of species emitted
-
- 24
-___                        i3    Index of species in file SPECIES
-
-=========================================================================
-20040720      0 
-________ ______            i8,1x,i6 Beginning date and time of release
-
-20040720 120000 
-________ ______            i8,1x,i6 Ending date and time of release
-
-   9.4048 
-____.____                  f9.4  Longitude [DEG] of lower left corner
-
-  48.5060
-____.____                  f9.4  Latitude [DEG] of lower left corner
-
-   9.5067
-____.____                  f9.4  Longitude [DEG] of upper right corner
-
-  48.5158
-____.____                  f9.4  Latitude [DEG] of upper right corner
-
-        2
-_________                  i9    1 for m above ground, 2 for m above sea level
-
- 6933.60
-_____.___                  f10.3 Lower z-level (in m agl or m asl)
- 
- 6950.40
-_____.___                  f10.3 Upper z-level (in m agl or m asl)
- 
-    20000                
-_________                  i9    Total number of particles to be released
-
-1.0000E00
-_.____E__                  e9.4  Total mass emitted
-
-RELEASE_TEST1
-________________________________________   character*40 comment
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-20040720      0
-________ ______            i8,1x,i6 Beginning date and time of release
-
-20040720 120000
-________ ______            i8,1x,i6 Ending date and time of release
-
-   9.3038 
-____.____                  f9.4  Longitude [DEG] of lower left corner
-
-  48.5158
-____.____                  f9.4  Latitude [DEG] of lower left corner
-
-   9.4048
-____.____                  f9.4  Longitude [DEG] of upper right corner
-
-  48.5906
-____.____                  f9.4  Latitude [DEG] of upper right corner
-
-        2
-_________                  i9    1 for m above ground, 2 for m above sea level
-
- 6833.50
-_____.___                  f10.3 Lower z-level (in m agl or m asl)
- 
- 6950.40
-_____.___                  f10.3 Upper z-level (in m agl or m asl)
- 
-    20000                
-_________                  i9    Total number of particles to be released
-
-1.0000E00
-_.____E__                  e9.4  Total mass emitted
-
-RELEASE_TEST2
-________________________________________   character*40 comment
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Index: options/SPECIES/SPECIES.README
===================================================================
--- options/SPECIES/SPECIES.README	(revision 9f59af6cf93ec051bd908d238d54eb73289e8f23)
+++ options/SPECIES/SPECIES.README	(revision 547b18804b51c7c2eb4c41ff6bd6d48929028b86)
@@ -6,5 +6,5 @@
 ./specoverview
 
-UPDATE FOR FLEXPART VERSION 10.3:
+UPDATE FOR FLEXPART VERSION 10.0 DEV:
 ---------------------------------------------------------------------------------------------------------------------------
 Please note that the format of the SPECIES files has changed from the previous version (9.2) of FLEXPART and it is important
@@ -41,5 +41,5 @@
 	D is the diffusivity of water vapor and 
 	D_i is the diffusivity of the species, 
-	H is the effective Henry's constant, 
+	H is the effective Henry’s constant, 
 	f0 varies between 0 and 1 and gives the reactivity of a species relative to that of ozone. For non-reactive species f0 is 0, for slightly reactive it is 0.1 and for highly reactive it is 1. 
 	Dry deposition of gases is switched off by negative D. 