Index: tests/create_and_run
===================================================================
--- tests/create_and_run	(revision 988b0bd91ed0a7b5cde41af755b77ccd1bbfd01e)
+++ tests/create_and_run	(revision 988b0bd91ed0a7b5cde41af755b77ccd1bbfd01e)
@@ -0,0 +1,9 @@
+#! /bin/bash 
+./create_tests
+
+echo run test 0
+./run_test ../tests_tmp/test_0  ./flexpartnoresm 
+echo run test 1
+./run_test ../tests_tmp/test_1  ./flexpartnoresm 
+echo run test 2
+./run_test ../tests_tmp/test_2  ./flexpartnoresm 
Index: tests/create_test
===================================================================
--- tests/create_test	(revision 988b0bd91ed0a7b5cde41af755b77ccd1bbfd01e)
+++ tests/create_test	(revision 988b0bd91ed0a7b5cde41af755b77ccd1bbfd01e)
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+#input FP exec
+test_dir=$1
+base_dir=$2
+FP_exec=$3
+options_default=../options 
+
+#echo FP_exec=$FP_exec
+#echo $FLEXOUT_TMP
+
+#suffix=$(date "+%y-%m-%d_%H%M%S")
+#test_tmp=${FLEXOUT_TMP}${base_dir}${test_dir}
+test_tmp=${base_dir}${test_dir}
+#_${suffix}
+
+current_dir=$(pwd)
+echo test_tmp=$test_tmp
+mkdir $test_tmp
+
+#copy default optios
+cp -r $options_default $test_tmp/options
+#override default options
+if [ "$(ls -A ${test_dir}/options)" ]; then
+  cp -r ${test_dir}/options/* $test_tmp/options/
+fi
+# copy paths form repo source exec tmp dir 
+cp ${test_dir}/pathnames $test_tmp
+# make output dir locally
+mkdir ${test_tmp}/output
+ln -s $FP_exec ${test_tmp}/flexpartnoresm
+
+#cd $test_tmp
+#echo $(pwd)
+#echo $FP_exec
+#echo run $FP_exec '; stdout to  out.log' 
+#$FP_exec   &> out.log # both out and err
+
+
+
Index: tests/create_tests
===================================================================
--- tests/create_tests	(revision 988b0bd91ed0a7b5cde41af755b77ccd1bbfd01e)
+++ tests/create_tests	(revision 988b0bd91ed0a7b5cde41af755b77ccd1bbfd01e)
@@ -0,0 +1,21 @@
+#! /bin/bash
+
+
+
+tmp_dir=../tests_tmp/ 
+#if [ -n  $1 ]; then
+#  echo $1 
+#  exit
+#  tmp_dir=$1
+#fi
+if [ ! -d "$tmp_dir" ]; then
+  mkdir $tmp_dir
+  echo create $tmp_dir
+fi
+
+echo $tmp_dir
+#exit
+./create_test test_0 $tmp_dir ../../src/flexpartnoresm
+./create_test test_1 $tmp_dir ../../src/flexpartnoresm
+./create_test test_2 $tmp_dir ../../src/flexpartnoresm
+
Index: tests/run_test
===================================================================
--- tests/run_test	(revision 988b0bd91ed0a7b5cde41af755b77ccd1bbfd01e)
+++ tests/run_test	(revision 988b0bd91ed0a7b5cde41af755b77ccd1bbfd01e)
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+test_tmp=$1 
+FP_exec=$2
+
+echo FP_exec=$FP_exec
+
+cd $test_tmp
+echo on $(pwd)
+#echo run $FP_exec
+echo run $FP_exec '; stdout to  out.log' 
+nohup $FP_exec   &> out.log &   # both out and err
+
+
+
Index: tests/test_0/pathnames
===================================================================
--- tests/test_0/pathnames	(revision 988b0bd91ed0a7b5cde41af755b77ccd1bbfd01e)
+++ tests/test_0/pathnames	(revision 988b0bd91ed0a7b5cde41af755b77ccd1bbfd01e)
@@ -0,0 +1,6 @@
+./options/
+./output/
+../../meteogrid/
+../../meteogrid/AVAILABLE_10days
+../../meteogrid/grid_atm.nc
+========================================================
Index: tests/test_1/options/RELEASES
===================================================================
--- tests/test_1/options/RELEASES	(revision 988b0bd91ed0a7b5cde41af755b77ccd1bbfd01e)
+++ tests/test_1/options/RELEASES	(revision 988b0bd91ed0a7b5cde41af755b77ccd1bbfd01e)
@@ -0,0 +1,26 @@
++++++++++++++++++ HEADER +++++++++++++++++++++
++++++++++++++++++ HEADER +++++++++++++++++++++
++++++++++++++++++ HEADER +++++++++++++++++++++
++++++++++++++++++ HEADER +++++++++++++++++++++
++++++++++++++++++ HEADER +++++++++++++++++++++
++++++++++++++++++ HEADER +++++++++++++++++++++
++++++++++++++++++ HEADER +++++++++++++++++++++
++++++++++++++++++ HEADER +++++++++++++++++++++
++++++++++++++++++ HEADER +++++++++++++++++++++
++++++++++++++++++ HEADER +++++++++++++++++++++
++++++++++++++++++ HEADER +++++++++++++++++++++
+           1
+         101
+        
+    20110102      0
+    20110109      0
+    0.000000 
+    0.000000
+    0.250000   
+    0.250000      
+           1
+   0.0000000    
+    50.00000    
+      900000
+   604800000
+alp
Index: tests/test_1/pathnames
===================================================================
--- tests/test_1/pathnames	(revision 988b0bd91ed0a7b5cde41af755b77ccd1bbfd01e)
+++ tests/test_1/pathnames	(revision 988b0bd91ed0a7b5cde41af755b77ccd1bbfd01e)
@@ -0,0 +1,6 @@
+./options/
+./output/
+../../meteogrid/
+../../meteogrid/AVAILABLE_10days
+../../meteogrid/grid_atm.nc
+========================================================
Index: tests/test_2/options/OUTGRID
===================================================================
--- tests/test_2/options/OUTGRID	(revision 988b0bd91ed0a7b5cde41af755b77ccd1bbfd01e)
+++ tests/test_2/options/OUTGRID	(revision 988b0bd91ed0a7b5cde41af755b77ccd1bbfd01e)
@@ -0,0 +1,114 @@
+********************************************************************************
+*                                                                              *
+*      Input file for the Lagrangian particle dispersion model FLEXPART        *
+*                       Please specify your output grid                        *
+*                                                                              *
+********************************************************************************
+
+1.  ------.----       4X,F11.4
+     -177.5000       GEOGRAFICAL LONGITUDE OF LOWER LEFT CORNER OF OUTPUT GRID
+    OUTLONLEFT        (left boundary of the first grid cell - not its centre)
+
+2.  ------.----       4X,F11.4
+      -90.0000       GEOGRAFICAL LATITUDE OF LOWER LEFT CORNER OF OUTPUT GRID
+    OUTLATLOWER       (lower boundary of the first grid cell - not its centre)
+
+3.  -----             4X,I5
+      72             NUMBER OF GRID POINTS IN X DIRECTION (= No. of cells + 1)
+    NUMXGRID
+
+4.  -----             4X,I5
+      90             NUMBER OF GRID POINTS IN Y DIRECTION (= No. of cells + 1)
+    NUMYGRID
+
+5.  ------.---        4X,F10.3
+         5.000        GRID DISTANCE IN X DIRECTION
+    DXOUTLON
+
+6.  ------.---        4X,F10.3
+         2.           GRID DISTANCE IN Y DIRECTION
+    DYOUTLAT
+
+7.  -----.-           4X, F7.1
+       65.0
+    LEVEL 1           HEIGHT OF LEVEL (UPPER BOUNDARY)
+
+8.  -----.-           4X, F7.1
+      250.0
+    LEVEL 2           HEIGHT OF LEVEL (UPPER BOUNDARY)
+
+9.  -----.-           4X, F7.1
+      600.0
+    LEVEL 3           HEIGHT OF LEVEL (UPPER BOUNDARY)
+
+10.  -----.-           4X, F7.1
+     1150.0
+    LEVEL 4           HEIGHT OF LEVEL (UPPER BOUNDARY)
+
+11.  -----.-           4X, F7.1
+     2000.0
+    LEVEL 5           HEIGHT OF LEVEL (UPPER BOUNDARY)
+
+12.  -----.-           4X, F7.1
+     3000.0
+    LEVEL 6           HEIGHT OF LEVEL (UPPER BOUNDARY)
+
+13. -----.-           4X, F7.1
+     4200.0
+    LEVEL 7           HEIGHT OF LEVEL (UPPER BOUNDARY)
+
+14 -----.-           4X, F7.1
+     5400.0
+    LEVEL 8           HEIGHT OF LEVEL (UPPER BOUNDARY)
+
+15. -----.-           4X, F7.1
+     6600.0
+    LEVEL 9           HEIGHT OF LEVEL (UPPER BOUNDARY)
+
+16. -----.-           4X, F7.1
+     7900.0
+   LEVEL 10           HEIGHT OF LEVEL (UPPER BOUNDARY) 
+
+17. -----.-           4X, F7.1
+     9000.0
+   LEVEL 11           HEIGHT OF LEVEL (UPPER BOUNDARY) 
+
+18. -----.-           4X, F7.1
+    10300.0
+   LEVEL 12           HEIGHT OF LEVEL (UPPER BOUNDARY)
+
+19. -----.-           4X, F7.1
+    11500.0
+    LEVEL13           HEIGHT OF LEVEL (UPPER BOUNDARY)
+
+20. -----.-           4X, F7.1
+    12700.0
+    LEVEL14           HEIGHT OF LEVEL (UPPER BOUNDARY)
+
+21. -----.-           4X, F7.1
+    14000.0
+    LEVEL15           HEIGHT OF LEVEL (UPPER BOUNDARY)
+
+22. -----.-           4X, F7.1
+    16300.0
+    LEVEL16           HEIGHT OF LEVEL (UPPER BOUNDARY) 
+
+23. -----.-           4X, F7.1
+    18700.0
+    LEVEL17           HEIGHT OF LEVEL (UPPER BOUNDARY) 
+
+24. -----.-           4X, F7.1
+    22200.0
+    LEVEL18           HEIGHT OF LEVEL (UPPER BOUNDARY)
+
+25. -----.-           4X, F7.1
+    26000.0
+    LEVEL19            HEIGHT OF LEVEL (UPPER BOUNDARY)
+
+26. -----.-           4X, F7.1
+    32000.0
+    LEVEL20           HEIGHT OF LEVEL (UPPER BOUNDARY)
+
+27. -----.-           4X, F7.1
+    43000.0
+    LEVEL21           HEIGHT OF LEVEL (UPPER BOUNDARY)          
Index: tests/test_2/pathnames
===================================================================
--- tests/test_2/pathnames	(revision 988b0bd91ed0a7b5cde41af755b77ccd1bbfd01e)
+++ tests/test_2/pathnames	(revision 988b0bd91ed0a7b5cde41af755b77ccd1bbfd01e)
@@ -0,0 +1,6 @@
+./options/
+./output/
+../../meteogrid/
+../../meteogrid/AVAILABLE_10days
+../../meteogrid/grid_atm.nc
+========================================================