Index: source/fortran/Makefile.CRAY
===================================================================
--- source/fortran/Makefile.CRAY	(revision None)
+++ source/fortran/Makefile.CRAY	(revision 1244a7b68b279e415f872cb4dcac07b14554cacf)
@@ -10,9 +10,4 @@
 .SUFFIXES: .o .c .c~ .f .f~ .F90 .f90 .f90~ .f95 .f95~ .F .F~ .y .y~ .l .l~ \
            .s .s~ .sh .sh~ .h .h~ .C .C~ .a
-
-
-#GRIB_API_INCLUDE_DIR=/usr/local/gcc-4.9.3/grib1.12.3//include
-#GRIB_API_LIB=-openmp -L/usr/local/gcc-4.9.3/grib1.12.3/lib -Bstatic  -lgrib_api_f77 -lgrib_api_f90 -lgrib_api -Bdynamic  -lm  -ljasper
-#EMOSLIB=-lemosR64
 
 OPT	= 
@@ -41,5 +36,5 @@
 
 clean:
-	rm *.o
+	rm *.o *.mod ${EXE}
 
 phgrreal.o: phgrreal.f
@@ -52,6 +47,6 @@
 	$(F90C) -c -g -O3 ftrafo.f
 
-$(BINDIR)/CONVERT2:	phgrreal.o grphreal.o ftrafo.o rwGRIB2.o  posnam.o preconvert.o
-	$(F90C) $(DEBUG) $(OPT) -o $(BINDIR)/CONVERT2 ftrafo.o phgrreal.o grphreal.o rwGRIB2.o posnam.o preconvert.o ${LIB}
+$(BINDIR)/${EXE}:	phgrreal.o grphreal.o ftrafo.o rwGRIB2.o  posnam.o preconvert.o
+	$(F90C) $(DEBUG) $(OPT) -o $(BINDIR)/${EXE} ftrafo.o phgrreal.o grphreal.o rwGRIB2.o posnam.o preconvert.o ${LIB}
 
 
Index: source/fortran/Makefile.gfortran
===================================================================
--- source/fortran/Makefile.gfortran	(revision c97d8ec2e8884a26d7646e826de74243755c7f11)
+++ source/fortran/Makefile.gfortran	(revision 1244a7b68b279e415f872cb4dcac07b14554cacf)
@@ -13,14 +13,12 @@
 OPT	= -g
 DEBUG	= -g
-LIB     =  $(GRIB_API_LIB) $(EMOSLIB)  
-#$(ECCODES_LIB) 
+LIB     =  $(ECCODES_LIB) $(EMOSLIB)   
 
 FC=gfortran   -m64 -fdefault-real-8 -fcray-pointer -fno-second-underscore  -ffixed-line-length-132 -fopenmp  -fconvert=big-endian  
 F90C=gfortran   -m64 -fdefault-real-8 -fcray-pointer -fno-second-underscore  -ffixed-line-length-132 -fopenmp  -fconvert=big-endian 
 
-FFLAGS =  $(OPT) -I. -I$(GRIB_API_INCLUDE_DIR)  
-#-I$(ECCODES_INCLUDE_DIR)
-F90FLAGS =  $(OPT) -I. -I$(GRIB_API_INCLUDE_DIR) 
-#-I$(ECCODES_INCLUDE_DIR)
+FFLAGS =  $(OPT) -I. -I$(ECCODES_INCLUDE_DIR) 
+
+F90FLAGS =  $(OPT) -I. -I$(ECCODES_INCLUDE_DIR)
 
 LDFLAGS =  $(OPT)
@@ -39,5 +37,5 @@
 
 clean:
-	rm *.o
+	rm *.o *.mod ${EXE}
 
 phgrreal.o: phgrreal.f
Index: urce/fortran/Makefile.ifort
===================================================================
--- source/fortran/Makefile.ifort	(revision None)
+++ 	(revision )
@@ -1,61 +1,0 @@
-###############################################################################
-#
-# Top level Makefile for ECMWFDATA7.0 software
-#
-# Last modified:  December 1, 2015
-#
-###############################################################################
-
-
-.SUFFIXES: .o .c .c~ .f .f~ .F90 .f90 .f90~ .f95 .f95~ .F .F~ .y .y~ .l .l~ \
-           .s .s~ .sh .sh~ .h .h~ .C .C~ .a
-
-
-#GRIB_API_INCLUDE_DIR=/usr/local/ifort/grib1.12.3//include
-#GRIB_API_LIB=-openmp -L/usr/local/ifort/grib1.12.3/lib -Bstatic  -lgrib_api_f77 -lgrib_api_f90 -lgrib_api -Bdynamic  -lm  -ljasper
-
-OPT	= -g
-DEBUG	= -g
-LIB     =  $(GRIB_API_LIBS) -lemosR64 -lgfortran
-
-FC=ifort -132  -traceback -r8
-F90C=ifort -132  -traceback -r8
-
-FFLAGS =  $(OPT) -I. -I$(GRIB_API_INCLUDE_DIR)
-F90FLAGS =  $(OPT) -I. -I$(GRIB_API_INCLUDE_DIR)
-
-LDFLAGS =  $(OPT)
-
-BINDIR  =      .
-
-EXE	=      CONVERT2
-
-
-.f.o:
-	$(F90C) -c $(F90FLAGS) -132 $(DEBUG) $*.f
-.f90.o:
-	$(F90C) -c $(F90FLAGS) -132 $(DEBUG) $*.f90
-
-all:	${EXE}
-
-clean:
-	rm *.o
-
-phgrreal.o: phgrreal.f
-	$(F90C) -c -g -O3 -fopenmp phgrreal.f
-
-grphreal.o: grphreal.f
-	$(F90C) -c -g -O3 -fopenmp grphreal.f
-
-ftrafo.o: ftrafo.f
-	$(F90C) -c -g -O3 -fopenmp ftrafo.f
-
-$(BINDIR)/CONVERT2:	phgrreal.o grphreal.o ftrafo.o rwGRIB2.o  posnam.o preconvert.o
-	$(F90C) $(DEBUG) $(OPT) -o $(BINDIR)/CONVERT2 ftrafo.o phgrreal.o grphreal.o rwGRIB2.o posnam.o preconvert.o ${LIB}
-
-
-###############################################################################
-#
-# End of the Makefile
-#
-###############################################################################
Index: source/fortran/Makefile.local.gfortran
===================================================================
--- source/fortran/Makefile.local.gfortran	(revision e585e1bf84d6025c3e972a17537553d592ecbbf7)
+++ source/fortran/Makefile.local.gfortran	(revision 1244a7b68b279e415f872cb4dcac07b14554cacf)
@@ -12,5 +12,5 @@
 
 
-GRIB_API_INCLUDE_DIR=/usr/local/gcc-4.9.3/grib_api-1.14.3//include
+GRIB_API_INCLUDE_DIR=/usr/local/gcc-4.9.3/grib_api-1.14.3/include
 GRIB_API_LIB= -L/usr/local/gcc-4.9.3/grib_api-1.14.3/lib -Bstatic  -lgrib_api_f77 -lgrib_api_f90 -lgrib_api -Bdynamic  -lm  -ljasper
 
@@ -46,5 +46,5 @@
 
 clean:
-	rm *.o *.mod CONVERT2
+	rm *.o *.mod ${EXE}
 
 phgrreal.o: phgrreal.f
@@ -57,6 +57,6 @@
 	$(F90C) -c -g -O3 -fopenmp ftrafo.f
 
-$(BINDIR)/CONVERT2:	phgrreal.o grphreal.o ftrafo.o rwGRIB2.o  posnam.o preconvert.o
-	$(F90C) $(DEBUG) $(OPT) -o $(BINDIR)/CONVERT2 ftrafo.o phgrreal.o grphreal.o rwGRIB2.o posnam.o preconvert.o ${LIB}
+$(BINDIR)/${EXE}:	phgrreal.o grphreal.o ftrafo.o rwGRIB2.o  posnam.o preconvert.o
+	$(F90C) $(DEBUG) $(OPT) -o $(BINDIR)/${EXE} ftrafo.o phgrreal.o grphreal.o rwGRIB2.o posnam.o preconvert.o ${LIB}
 
 
Index: source/fortran/Makefile.local.ifort
===================================================================
--- source/fortran/Makefile.local.ifort	(revision None)
+++ source/fortran/Makefile.local.ifort	(revision 1244a7b68b279e415f872cb4dcac07b14554cacf)
@@ -11,7 +11,14 @@
            .s .s~ .sh .sh~ .h .h~ .C .C~ .a
 
+#GRIB_API_INCLUDE_DIR=/home/srvx1/tmc/TestEnv/Libraries/grib_api-1.25.0_ifort/include
+#GRIB_API_LIB=-L/home/srvx1/tmc/TestEnv/Libraries/grib_api-1.25.0_ifort/lib  -Bstatic  -lgrib_api_f77 -lgrib_api_f90 -lgrib_api -Bdynamic  -lm  -ljasper -qopenmp
 
+
+#GRIB_API_INCLUDE_DIR=/usr/local/ifort/grib1.12.3//include
+#GRIB_API_LIBS=-openmp -L/usr/local/ifort/grib1.12.3/lib -Bstatic  -lgrib_api_f77 -lgrib_api_f90 -lgrib_api -Bdynamic  -lm  -ljasper
+           
+           
 GRIB_API_INCLUDE_DIR=/home/srvx1/tmc/TestEnv/Libraries/eccodes-2.6.0_ifort/include
-GRIB_API_LIB= -L/home/srvx1/tmc/TestEnv/Libraries/eccodes-2.6.0_ifort/lib -Bstatic  -leccodes_f90  -leccodes -Bdynamic  -lm  -ljasper 
+GRIB_API_LIB= -L/home/srvx1/tmc/TestEnv/Libraries/eccodes-2.6.0_ifort/lib -Bstatic  -leccodes_f90  -leccodes -Bdynamic  -lm  -ljasper
 
 OPT	= -g -O3 -mcmodel=medium -unroll -inline -heap-arrays 32 
@@ -19,6 +26,6 @@
 LIB     =  $(GRIB_API_LIB) -lemosR64 -lgfortran
 
-FC=/opt/intel/bin/ifort -132  -traceback -r8
-F90C=/opt/intel/bin/ifort -132  -traceback -r8
+FC=/opt/intel/composerxe/bin/ifort -132  -traceback -r8
+F90C=/opt/intel/composerxe/bin/ifort -132  -traceback -r8
 
 FFLAGS =  $(OPT) -I. -I$(GRIB_API_INCLUDE_DIR)
@@ -40,5 +47,5 @@
 
 clean:
-	rm *.o
+	rm *.o *.mod ${EXE}
 
 phgrreal.o: phgrreal.f
@@ -51,6 +58,6 @@
 	$(F90C) -c -g -O3 ftrafo.f
 
-$(BINDIR)/CONVERT2:	phgrreal.o grphreal.o ftrafo.o rwGRIB2.o  posnam.o preconvert.o
-	$(F90C) $(DEBUG) $(OPT) -o $(BINDIR)/CONVERT2 ftrafo.o phgrreal.o grphreal.o rwGRIB2.o posnam.o preconvert.o ${LIB}
+$(BINDIR)/${EXE}:	phgrreal.o grphreal.o ftrafo.o rwGRIB2.o  posnam.o preconvert.o
+	$(F90C) $(DEBUG) $(OPT) -o $(BINDIR)/${EXE} ftrafo.o phgrreal.o grphreal.o rwGRIB2.o posnam.o preconvert.o ${LIB}
 
 
Index: urce/fortran/Makefile.new
===================================================================
--- source/fortran/Makefile.new	(revision None)
+++ 	(revision )
@@ -1,61 +1,0 @@
-###############################################################################
-#
-# Top level Makefile for ECMWFDATA7.0 software
-#
-# Last modified:  December 1, 2015
-#
-###############################################################################
-
-
-.SUFFIXES: .o .c .c~ .f .f~ .F90 .f90 .f90~ .f95 .f95~ .F .F~ .y .y~ .l .l~ \
-           .s .s~ .sh .sh~ .h .h~ .C .C~ .a
-
-
-GRIB_API_INCLUDE_DIR=/usr/local/ifort/grib1.12.3//include
-GRIB_API_LIBS=-openmp -L/usr/local/ifort/grib1.12.3/lib -Bstatic  -lgrib_api_f77 -lgrib_api_f90 -lgrib_api -Bdynamic  -lm  -ljasper
-
-OPT	= -g
-DEBUG	= -g
-LIB     =  $(GRIB_API_LIBS) -lemosR64
-
-FC=ifort -132  -traceback -r8
-F90C=ifort -132  -traceback -r8
-
-FFLAGS =  $(OPT) -I. -I$(GRIB_API_INCLUDE_DIR)
-F90FLAGS =  $(OPT) -I. -I$(GRIB_API_INCLUDE_DIR)
-
-LDFLAGS =  $(OPT)
-
-BINDIR  =      .
-
-EXE	=      CONVERT2
-
-
-.f.o:
-	$(F90C) -c $(F90FLAGS) -132 $(DEBUG) $*.f
-.f90.o:
-	$(F90C) -c $(F90FLAGS) -132 $(DEBUG) $*.f90
-
-all:	${EXE}
-
-clean:
-	rm *.o
-
-phgrreal.o: phgrreal.f
-	$(F90C) -c -g -O3 -fopenmp phgrreal.f
-
-grphreal.o: grphreal.f
-	$(F90C) -c -g -O3 -fopenmp grphreal.f
-
-ftrafo.o: ftrafo.f
-	$(F90C) -c -g -O3 -fopenmp ftrafo.f
-
-$(BINDIR)/CONVERT2:	phgrreal.o grphreal.o ftrafo.o rwGRIB2.o  posnam.o preconvert.o
-	$(F90C) $(DEBUG) $(OPT) -o $(BINDIR)/CONVERT2 ftrafo.o phgrreal.o grphreal.o rwGRIB2.o posnam.o preconvert.o ${LIB}
-
-
-###############################################################################
-#
-# End of the Makefile
-#
-###############################################################################