Index: tests/NILU/test_Volc/options/SPECIES/SPECIES_101
===================================================================
--- tests/NILU/test_Volc/options/SPECIES/SPECIES_101	(revision 7216707682b38039dd4eb283d12ce47f5b1e8502)
+++ tests/NILU/test_Volc/options/SPECIES/SPECIES_101	(revision 02095e307fd24bbfd628038d6f83e6c75dc38a0d)
@@ -7,19 +7,21 @@
 ASH-101           Tracer name
 -999.9            Species half life
-1.0               Below-cloud scavenging (gases and particles) - A
-1.0               Below-cloud scavenging (gases and particles)- B
-0.9               In-cloud scavenging (gases and particles) - Ai
-0.1               In-cloud scavenging (gases and particles) - Bi
+-999.9             Below-cloud scavenging (gases) - A (weta_gas)
+-999.9             Below-cloud scavenging (gases) - B (wetb_gas)
+1.0                Below-cloud scavenging (particles) - Crain (crain_aero)
+1.0                Below-cloud scavenging (particles) - Csnow (csnow_aero)
+0.6                In-cloud scavenging (particles) - CCNeff (ccn_aero)
+0.1                In-cloud scavenging (particles) - INeff (in_aero)
 -9.9              Dry deposition (gases) - D
 1.0E-09           Dry deposition(gases)-Henrys
                   Dry deposition (gases) - f0
-2.6E03            Dry deposit (particles)-rho
-4.0E-06           Dry deposition (particles) - dquer
+   2500.0000    
+  2.00000002E-07
 8.0E-1            Dry deposit (particles)-dsig
 -9.99             Alternative: dry dep vel
 -9.99             molweight
--9.99E-09         OH Reaction rate - C [cm^3/molecule/sec]
--9.9              OH reaction rate - D [K]
--9.9              OH Reaction rate - N (no unit)
--9                number of associated specias
+-9.99E-09          OH Reaction rate - C [cm^3/molecule/sec]
+-9.9               OH reaction rate - D [K]
+-9.9               OH Reaction rate - N (no unit)
+-9                number of associated species
 -99.99            KOA-organic matter air part.
Index: tests/NILU/test_Volc/options/SPECIES/SPECIES_102
===================================================================
--- tests/NILU/test_Volc/options/SPECIES/SPECIES_102	(revision 7216707682b38039dd4eb283d12ce47f5b1e8502)
+++ tests/NILU/test_Volc/options/SPECIES/SPECIES_102	(revision 02095e307fd24bbfd628038d6f83e6c75dc38a0d)
@@ -7,19 +7,21 @@
 ASH-102           Tracer name
 -999.9            Species half life
-1.0               Below-cloud scavenging (gases and particles) - A
-1.0               Below-cloud scavenging (gases and particles)- B
-0.9               In-cloud scavenging (gases and particles) - Ai
-0.1               In-cloud scavenging (gases and particles) - Bi
+-999.9             Below-cloud scavenging (gases) - A (weta_gas)
+-999.9             Below-cloud scavenging (gases) - B (wetb_gas)
+1.0                Below-cloud scavenging (particles) - Crain (crain_aero)
+1.0                Below-cloud scavenging (particles) - Csnow (csnow_aero)
+0.6                In-cloud scavenging (particles) - CCNeff (ccn_aero)
+0.1                In-cloud scavenging (particles) - INeff (in_aero)
 -9.9              Dry deposition (gases) - D
 1.0E-09           Dry deposition(gases)-Henrys
                   Dry deposition (gases) - f0
-2.6E03            Dry deposit (particles)-rho
-6.0E-06           Dry deposition (particles) - dquer
+   2500.0000    
+  6.50000004E-07
 8.0E-1            Dry deposit (particles)-dsig
 -9.99             Alternative: dry dep vel
 -9.99             molweight
--9.99E-09         OH Reaction rate - C [cm^3/molecule/sec]
--9.9              OH reaction rate - D [K]
--9.9              OH Reaction rate - N (no unit)
--9                number of associated specias
+-9.99E-09          OH Reaction rate - C [cm^3/molecule/sec]
+-9.9               OH reaction rate - D [K]
+-9.9               OH Reaction rate - N (no unit)
+-9                number of associated species
 -99.99            KOA-organic matter air part.
Index: tests/NILU/test_Volc/options/SPECIES/SPECIES_103
===================================================================
--- tests/NILU/test_Volc/options/SPECIES/SPECIES_103	(revision 7216707682b38039dd4eb283d12ce47f5b1e8502)
+++ tests/NILU/test_Volc/options/SPECIES/SPECIES_103	(revision 02095e307fd24bbfd628038d6f83e6c75dc38a0d)
@@ -7,19 +7,21 @@
 ASH-103           Tracer name
 -999.9            Species half life
-1.0               Below-cloud scavenging (gases and particles) - A
-1.0               Below-cloud scavenging (gases and particles)- B
-0.9               In-cloud scavenging (gases and particles) - Ai
-0.1               In-cloud scavenging (gases and particles) - Bi
+-999.9             Below-cloud scavenging (gases) - A (weta_gas)
+-999.9             Below-cloud scavenging (gases) - B (wetb_gas)
+1.0                Below-cloud scavenging (particles) - Crain (crain_aero)
+1.0                Below-cloud scavenging (particles) - Csnow (csnow_aero)
+0.6                In-cloud scavenging (particles) - CCNeff (ccn_aero)
+0.1                In-cloud scavenging (particles) - INeff (in_aero)
 -9.9              Dry deposition (gases) - D
 1.0E-09           Dry deposition(gases)-Henrys
                   Dry deposition (gases) - f0
-2.6E03            Dry deposit (particles)-rho
-8.0E-06           Dry deposition (particles) - dquer
+   2500.0000    
+  1.99999999E-06
 8.0E-1            Dry deposit (particles)-dsig
 -9.99             Alternative: dry dep vel
 -9.99             molweight
--9.99E-09         OH Reaction rate - C [cm^3/molecule/sec]
--9.9              OH reaction rate - D [K]
--9.9              OH Reaction rate - N (no unit)
--9                number of associated specias
+-9.99E-09          OH Reaction rate - C [cm^3/molecule/sec]
+-9.9               OH reaction rate - D [K]
+-9.9               OH Reaction rate - N (no unit)
+-9                number of associated species
 -99.99            KOA-organic matter air part.
Index: tests/NILU/test_Volc/options/SPECIES/SPECIES_104
===================================================================
--- tests/NILU/test_Volc/options/SPECIES/SPECIES_104	(revision 7216707682b38039dd4eb283d12ce47f5b1e8502)
+++ tests/NILU/test_Volc/options/SPECIES/SPECIES_104	(revision 02095e307fd24bbfd628038d6f83e6c75dc38a0d)
@@ -7,19 +7,21 @@
 ASH-104           Tracer name
 -999.9            Species half life
-1.0               Below-cloud scavenging (gases and particles) - A
-1.0               Below-cloud scavenging (gases and particles)- B
-0.9               In-cloud scavenging (gases and particles) - Ai
-0.1               In-cloud scavenging (gases and particles) - Bi
+-999.9             Below-cloud scavenging (gases) - A (weta_gas)
+-999.9             Below-cloud scavenging (gases) - B (wetb_gas)
+1.0                Below-cloud scavenging (particles) - Crain (crain_aero)
+1.0                Below-cloud scavenging (particles) - Csnow (csnow_aero)
+0.6                In-cloud scavenging (particles) - CCNeff (ccn_aero)
+0.1                In-cloud scavenging (particles) - INeff (in_aero)
 -9.9              Dry deposition (gases) - D
 1.0E-09           Dry deposition(gases)-Henrys
                   Dry deposition (gases) - f0
-2.6E03            Dry deposit (particles)-rho
-10.0E-06          Dry deposition (particles) - dquer
+   2500.0000    
+  6.49999993E-06
 8.0E-1            Dry deposit (particles)-dsig
 -9.99             Alternative: dry dep vel
 -9.99             molweight
--9.99E-09         OH Reaction rate - C [cm^3/molecule/sec]
--9.9              OH reaction rate - D [K]
--9.9              OH Reaction rate - N (no unit)
--9                number of associated specias
+-9.99E-09          OH Reaction rate - C [cm^3/molecule/sec]
+-9.9               OH reaction rate - D [K]
+-9.9               OH Reaction rate - N (no unit)
+-9                number of associated species
 -99.99            KOA-organic matter air part.
Index: tests/NILU/test_Volc/options/SPECIES/SPECIES_105
===================================================================
--- tests/NILU/test_Volc/options/SPECIES/SPECIES_105	(revision 7216707682b38039dd4eb283d12ce47f5b1e8502)
+++ tests/NILU/test_Volc/options/SPECIES/SPECIES_105	(revision 02095e307fd24bbfd628038d6f83e6c75dc38a0d)
@@ -7,19 +7,21 @@
 ASH-105           Tracer name
 -999.9            Species half life
-1.0               Below-cloud scavenging (gases and particles) - A
-1.0               Below-cloud scavenging (gases and particles)- B
-0.9               In-cloud scavenging (gases and particles) - Ai
-0.1               In-cloud scavenging (gases and particles) - Bi
+-999.9             Below-cloud scavenging (gases) - A (weta_gas)
+-999.9             Below-cloud scavenging (gases) - B (wetb_gas)
+1.0                Below-cloud scavenging (particles) - Crain (crain_aero)
+1.0                Below-cloud scavenging (particles) - Csnow (csnow_aero)
+0.6                In-cloud scavenging (particles) - CCNeff (ccn_aero)
+0.1                In-cloud scavenging (particles) - INeff (in_aero)
 -9.9              Dry deposition (gases) - D
 1.0E-09           Dry deposition(gases)-Henrys
                   Dry deposition (gases) - f0
-2.6E03            Dry deposit (particles)-rho
-12.0E-06          Dry deposition (particles) - dquer
+   2500.0000    
+  1.99999995E-05
 8.0E-1            Dry deposit (particles)-dsig
 -9.99             Alternative: dry dep vel
 -9.99             molweight
--9.99E-09         OH Reaction rate - C [cm^3/molecule/sec]
--9.9              OH reaction rate - D [K]
--9.9              OH Reaction rate - N (no unit)
--9                number of associated specias
+-9.99E-09          OH Reaction rate - C [cm^3/molecule/sec]
+-9.9               OH reaction rate - D [K]
+-9.9               OH Reaction rate - N (no unit)
+-9                number of associated species
 -99.99            KOA-organic matter air part.
Index: tests/NILU/test_Volc/options/SPECIES/SPECIES_106
===================================================================
--- tests/NILU/test_Volc/options/SPECIES/SPECIES_106	(revision 7216707682b38039dd4eb283d12ce47f5b1e8502)
+++ tests/NILU/test_Volc/options/SPECIES/SPECIES_106	(revision 02095e307fd24bbfd628038d6f83e6c75dc38a0d)
@@ -7,19 +7,21 @@
 ASH-106           Tracer name
 -999.9            Species half life
-1.0               Below-cloud scavenging (gases and particles) - A
-1.0               Below-cloud scavenging (gases and particles)- B
-0.9               In-cloud scavenging (gases and particles) - Ai
-0.1               In-cloud scavenging (gases and particles) - Bi
+-999.9             Below-cloud scavenging (gases) - A (weta_gas)
+-999.9             Below-cloud scavenging (gases) - B (wetb_gas)
+1.0                Below-cloud scavenging (particles) - Crain (crain_aero)
+1.0                Below-cloud scavenging (particles) - Csnow (csnow_aero)
+0.6                In-cloud scavenging (particles) - CCNeff (ccn_aero)
+0.1                In-cloud scavenging (particles) - INeff (in_aero)
 -9.9              Dry deposition (gases) - D
 1.0E-09           Dry deposition(gases)-Henrys
                   Dry deposition (gases) - f0
-2.6E03            Dry deposit (particles)-rho
-14.0E-06          Dry deposition (particles) - dquer
+   2500.0000    
+  6.50000002E-05
 8.0E-1            Dry deposit (particles)-dsig
 -9.99             Alternative: dry dep vel
 -9.99             molweight
--9.99E-09         OH Reaction rate - C [cm^3/molecule/sec]
--9.9              OH reaction rate - D [K]
--9.9              OH Reaction rate - N (no unit)
--9                number of associated specias
+-9.99E-09          OH Reaction rate - C [cm^3/molecule/sec]
+-9.9               OH reaction rate - D [K]
+-9.9               OH Reaction rate - N (no unit)
+-9                number of associated species
 -99.99            KOA-organic matter air part.