Index: options/COMMAND
===================================================================
--- options/COMMAND	(revision 6d73c4be98f6a308eed735650a968ac230fd19ef)
+++ options/COMMAND	(revision 6d73c4be98f6a308eed735650a968ac230fd19ef)
@@ -16,20 +16,20 @@
  ITSPLIT=        99999999, ! Interval of particle splitting (s) 
  LSYNCTIME=           900, ! All processes are synchronized to this time interval (s)
- CTL=          -5.0000000, ! Times step smaller than Lagr. time scale, LSYNCTIME if CTL<0, but can be shorter  
+ CTL=          -5.0000000, ! CTL>1, ABL time step = (Lagrangian timescale (TL))/CTL, uses LSYNCTIME if CTL<0
  IFINE=                 4, ! Reduction for time step in vertical transport, used only if CTL>1 
  IOUT=                  1, ! Output type: [1]mass 2]pptv 3]1&2 4]plume 5]1&4, +8 for NetCDF output     
  IPOUT=                 0, ! Particle position output: 0]no 1]every output 2]only at end   
  LSUBGRID=              0, ! Increase of ABL heights due to sub-grid scale orographic variations;[0]off 1]on 
- LCONVECTION=          	0, ! Switch for convection parameterization;[0]off 1]on    
+ LCONVECTION=          	1, ! Switch for convection parameterization;0]off [1]on    
  LAGESPECTRA=          	0, ! Switch for calculation of age spectra (needs AGECLASSES);[0]off 1]on  
- IPIN=                  0, ! Warm start from particle dump (needs previous partposit_end file); 0]no [1]yes  
+ IPIN=                  0, ! Warm start from particle dump (needs previous partposit_end file); [0]no 1]yes  
  IOUTPUTFOREACHRELEASE= 1, ! Separate output fields for each location in the RELEASE file; [0]no 1]yes 
  IFLUX=                 0, ! Output of mass fluxes through output grid box boundaries
  MDOMAINFILL=          	0, ! Switch for domain-filling, if limited-area particles generated at boundary
- IND_SOURCE=            1, ! Unit to be used at the ource   ;  [1]mass 2]mass mixing ratio 
- IND_RECEPTOR=          1, ! Unit to be used at the receptor;  [1]mass 2]mass mixing ratio 
+ IND_SOURCE=            1, ! Unit to be used at the source   ;  [1]mass 2]mass mixing ratio 
+ IND_RECEPTOR=          1, ! Unit to be used at the receptor; [1]mass 2]mass mixing ratio 3]wet depo. 4]dry depo.
  MQUASILAG=             0, ! Quasi-Lagrangian mode to track individual numbered particles 
  NESTED_OUTPUT=         0, ! Output also for a nested domain 
- LINIT_COND=            0, ! Output sensitivity to initial conditions (backwards mode only)  
+ LINIT_COND=            0, ! Output sensitivity to initial conditions (bkw mode only) [0]off 1]conc 2]mmr 
  SURF_ONLY=             0, ! Output only for the lowest model layer, used w/ LINIT_COND=1 or 2
  CBLFLAG=               0, ! Skewed, not Gaussian turbulence in the convective ABL, need large CTL and IFINE
Index: options/RELEASES
===================================================================
--- options/RELEASES	(revision 6d73c4be98f6a308eed735650a968ac230fd19ef)
+++ options/RELEASES	(revision 6d73c4be98f6a308eed735650a968ac230fd19ef)
@@ -1,30 +1,30 @@
-*************************************************************************
-*                                                                       *
-*                                                                       *
-*                                                                       *
-*   Input file for the Lagrangian particle dispersion model FLEXPART    *
-*                        Please select your options                     *
-*                                                                       *
-*                                                                       *
-*                                                                       *
-*************************************************************************
+***************************************************************************************************************
+*                                                                                                             *
+*                                                                                                             *
+*                                                                                                             *
+*   Input file for the Lagrangian particle dispersion model FLEXPART                                          *
+*                        Please select your options                                                           *
+*                                                                                                             *
+*                                                                                                             *
+*                                                                                                             *
+***************************************************************************************************************
 &RELEASES_CTRL
- NSPEC      =           1,
- SPECNUM_REL=          24,
+ NSPEC      =           1, ! Total number of species
+ SPECNUM_REL=          24, ! Species numbers in directory SPECIES
  /
-&RELEASE
- IDATE1  =       20120101,
- ITIME1  =         090000,
- IDATE2  =       20120101,
- ITIME2  =         090000,
- LON1    =          0.000,
- LON2    =          0.000,
- LAT1    =         20.000,
- LAT2    =         20.000,
- Z1      =         50.000,
- Z2      =         50.000,
- ZKIND   =              1,
- MASS    =       1.0000E8,
- PARTS   =          10000, 
- COMMENT =    "RELEASE 1",
+&RELEASE                   ! For each release 
+ IDATE1  =       20120101, ! Release start date, YYYYMMDD: YYYY=year, MM=month, DD=day
+ ITIME1  =         090000, ! Release start time in UTC HHMISS: HH hours, MI=minutes, SS=seconds
+ IDATE2  =       20120101, ! Release end date, same as IDATE1
+ ITIME2  =         090000, ! Release end time, same as ITIME1
+ LON1    =          0.000, ! Left longitude of release box -180 < LON1 <180
+ LON2    =          0.000, ! Right longitude of release box, same as LON1
+ LAT1    =         20.000, ! Lower latitude of release box, -90 < LAT1 < 90
+ LAT2    =         20.000, ! Upper latitude of release box same format as LAT1 
+ Z1      =         50.000, ! Lower height of release box meters/hPa above reference level
+ Z2      =         50.000, ! Upper height of release box meters/hPa above reference level
+ ZKIND   =              1, ! Reference level 1=above ground, 2=above sea level, 3 for pressure in hPa
+ MASS    =       1.0000E8, ! Total mass emitted, only relevant for fwd simulations
+ PARTS   =          10000, ! Total number of particles to be released
+ COMMENT =    "RELEASE 1", ! Comment, written in the outputfile
  /
Index: options/SPECIES/SPECIES_008
===================================================================
--- options/SPECIES/SPECIES_008	(revision 8594fb83d316dd4c22c8ec7555c8b029f7f705c6)
+++ options/SPECIES/SPECIES_008	(revision 79996be9fcfb6fb924aa6f67d27d422820decb2f)
@@ -19,5 +19,7 @@
  POHDCONST=-9.9,              ! OH Reaction rate - D [K]
  POHNCONST=2.0,               !  OH Reaction rate -  N (no unit)
- PAREA_HOUR=0.578, 0.491, 0.428, 0.329, 0.384, 0.485, 0.763, 1.103, 1.084, 1.047, 1.096, 1.196, 1.298, 1.357, 1.447, 1.565, 1.636, 1.662, 1.401, 1.168, 1.031, 0.926, 0.816, 0.709
- PAREA_DOW=1.060, 1.060, 1.060, 1.060, 1.060, 0.900, 0.000
+ PAREA_HOUR=0.578, 0.491, 0.428, 0.329, 0.384, 0.485, 0.763, 1.103, 1.084, 1.047, 1.096, 1.196, 1.298, 1.357, 1.447, 1.565, 1.636, 1.662, 1.401, 1.168, 1.031, 0.926, 0.816, 0.709,
+ PPOINT_HOUR=0.845, 0.806, 0.786, 0.779, 0.793, 0.832, 0.895, 0.977, 1.031, 1.071, 1.105, 1.118, 1.131, 1.136, 1.143, 1.141, 1.133, 1.118, 1.097, 1.091, 1.079, 1.036, 0.966, 0.892,
+ PAREA_DOW=1.060, 1.060, 1.060, 1.060, 1.060, 0.900, 0.000,
+ PPOINT_DOW=1.000, 1.000, 1.000, 1.000, 1.000, 1.000, 1.000,
  /